VERSION 5.00
Begin VB.Form frmSaveRes 
   Caption         =   "Save Res File to Disk Sample"
   ClientHeight    =   4875
   ClientLeft      =   1485
   ClientTop       =   2265
   ClientWidth     =   6090
   LinkTopic       =   "Form1"
   ScaleHeight     =   4875
   ScaleWidth      =   6090
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   495
      Left            =   4560
      TabIndex        =   5
      Top             =   120
      Width           =   1335
   End
   Begin VB.CommandButton cmdText 
      Caption         =   "Load &text file"
      Height          =   495
      Left            =   3080
      TabIndex        =   4
      Top             =   120
      Width           =   1335
   End
   Begin VB.CommandButton cmdJPG 
      Caption         =   "Load &JPG file"
      Height          =   495
      Left            =   1600
      TabIndex        =   2
      Top             =   120
      Width           =   1335
   End
   Begin VB.CommandButton cmdGif 
      Caption         =   "Load &GIF file"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   1335
   End
   Begin VB.PictureBox Picture1 
      Height          =   2115
      Left            =   120
      ScaleHeight     =   2055
      ScaleWidth      =   2895
      TabIndex        =   0
      Top             =   720
      Visible         =   0   'False
      Width           =   2955
   End
   Begin VB.TextBox Text1 
      Height          =   3975
      Left            =   120
      MultiLine       =   -1  'True
      TabIndex        =   3
      Text            =   "SaveRes.frx":0000
      Top             =   720
      Visible         =   0   'False
      Width           =   5775
   End
End
Attribute VB_Name = "frmSaveRes"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' --------------------------------------------------------------------------
'               Copyright (C) 1998 Microsoft Corporation                   '
' --------------------------------------------------------------------------
' You have a royalty-free right to use, modify, reproduce and distribute   '
' the Sample Application Files (and/or any modified version) in any way    '
' you find useful, provided that you agree that Microsoft has no warranty, '
' obligations or liability for any Sample Application Files.               '
' --------------------------------------------------------------------------
' Written by Mike Dixon (mikedix@microsoft.com)                            '
' --------------------------------------------------------------------------

'The res file contains the following items:
'========================================='
'RESOURCE ID    TYPE        Actual Item   '
'========================================='
' 101           Custom      resfile.gif   '
' 102           Custom      resfile.jpg   '
' 103           Custom      test.txt      '

Private Sub Form_Load()
    'Center the form
    Move (Screen.Width - Width) \ 2, (Screen.Height - Height) \ 2
    Picture1.AutoSize = True
    
    'Load the JPG picture now
    cmdJPG_Click
End Sub

Private Sub cmdGif_Click()
    'Load Resource item 101 (a gif file) into the picturebox
    Set Picture1.Picture = LoadPictureResource(101, "Custom")
    
    'Show/Hide Controls
    Text1.Visible = False
    Picture1.Visible = True
End Sub

Private Sub cmdJPG_Click()
    'Load Resource item 101 (a jpg file) into the picturebox
    Set Picture1.Picture = LoadPictureResource(102, "Custom")
    
    'Show/Hide Controls
    Text1.Visible = False
    Picture1.Visible = True
End Sub

Private Sub cmdText_Click()
    'Load Resource item 103 (a text file) into the textbox
    Dim sFileName As String
    Dim iFileNum  As Integer
    Dim sText     As String
    
    If GetTempFile("", "~rs", 0, sFileName) Then
        If Not SaveResItemToDisk(103, "Custom", sFileName) Then
        
            'Get free file handle
            iFileNum = FreeFile
            
            'Open the file
            Open sFileName For Input As iFileNum
                
                'Input all the text of the file
                sText = Input(LOF(iFileNum), iFileNum)
            
            'Close the file
            Close iFileNum
            
            'Place the text from the file into the textbox
            Text1.Text = sText
            
            'Show/Hide Controls
            Picture1.Visible = False
            Text1.Visible = True
            
            'Delete the temp file
            Kill sFileName
        Else
            MsgBox "Unable to save resource item to disk!", vbCritical
            'Show/Hide Controls
            Picture1.Visible = False
            Text1.Visible = False
        End If
    Else
        MsgBox "Unable to get temp file name!", vbCritical
        'Show/Hide Controls
        Picture1.Visible = False
        Text1.Visible = False
    End If
End Sub

Private Sub cmdExit_Click()
    Unload Me
End Sub

